# Class RefreshRequest | EchoHub Documentation

# Class RefreshRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record RefreshRequest : IEquatable<RefreshRequest>

Inheritance
  object
  RefreshRequest

Implements
  IEquatable<RefreshRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### RefreshRequest(RefreshRequest)

    protected RefreshRequest(RefreshRequest original)

#### Parameters

`original` RefreshRequest

### RefreshRequest(string)

    public RefreshRequest(string RefreshToken)

#### Parameters

`RefreshToken` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### RefreshToken

    public string RefreshToken { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string)

    public void Deconstruct(out string RefreshToken)

#### Parameters

`RefreshToken` string

### Equals(RefreshRequest?)

    public virtual bool Equals(RefreshRequest? other)

#### Parameters

`other` RefreshRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(RefreshRequest?, RefreshRequest?)

    public static bool operator ==(RefreshRequest? left, RefreshRequest? right)

#### Parameters

`left` RefreshRequest
`right` RefreshRequest

#### Returns

bool

### operator !=(RefreshRequest?, RefreshRequest?)

    public static bool operator !=(RefreshRequest? left, RefreshRequest? right)

#### Parameters

`left` RefreshRequest
`right` RefreshRequest

#### Returns

bool